<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku:  Fichier source de src/Couleur.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Couleur.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_couleur_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Loan Caecke on 2019-04-29.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef PROJETCPPGL_COULEUR_HPP</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define PROJETCPPGL_COULEUR_HPP</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">   12</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7a1fa0593d0698e5e91065ce5068141d2c">Blanc</a> = 1,</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7ae72ff2ebebb5222c8421fdfe895aa5ad">Noir</a> = 2,</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7a53beb73e72f759f32a06d64ae520d354">Vide</a> = 0</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;};</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#endif //PROJETCPPGL_COULEUR_HPP</span></div><div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7a53beb73e72f759f32a06d64ae520d354"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7a53beb73e72f759f32a06d64ae520d354">Couleur::Vide</a></div></div>
<div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7ae72ff2ebebb5222c8421fdfe895aa5ad"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7ae72ff2ebebb5222c8421fdfe895aa5ad">Couleur::Noir</a></div></div>
<div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7a1fa0593d0698e5e91065ce5068141d2c"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7a1fa0593d0698e5e91065ce5068141d2c">Couleur::Blanc</a></div></div>
<div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a></div><div class="ttdeci">Couleur</div><div class="ttdef"><b>Definition:</b> Couleur.hpp:12</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
